import { applyIfFunction } from '../';
describe('applyIfFunction', function () {
  it('returns a value if value is not a function', function () {
    expect(applyIfFunction('x', [])).toBe('x');
  });
  it('is curried', function () {
    expect(applyIfFunction('x')([])).toBe('x');
  });
  it('returns an application of a function to arguments if value is a function', function () {
    expect(applyIfFunction(function (x, y) {
      return x + y;
    }, [1, 2])).toBe(3);
  });
});