import { ensureArray } from '../';
describe('ensureArray', function () {
  it('should be defined', function () {
    expect(ensureArray).toBeDefined();
  });
  it('should wrap non-arrays in an array', function () {
    expect(ensureArray('A string yo.')).toEqual(['A string yo.']);
    expect(ensureArray({
      consoleLog: 'yo'
    })).toEqual([{
      consoleLog: 'yo'
    }]);
    expect(ensureArray(true)).toEqual([true]);
    expect(ensureArray(undefined)).toEqual([undefined]);
  });
  it('should keep arrays as is', function () {
    expect(ensureArray(['an array item yo.'])).toEqual(['an array item yo.']);
    expect(ensureArray([['yoNestedArrayItem']])).toEqual([['yoNestedArrayItem']]);
  });
});