import { pathNotEq } from '../';
describe('pathNotEq', function () {
  it('should return true when object literal does not contain the path at all', function () {
    expect(pathNotEq(['a', 'b'], 1, {})).toBeTruthy();
  });
  it('should return true when object literal does not contain the path', function () {
    expect(pathNotEq(['a', 'b'], 1, {
      a: {}
    })).toBeTruthy();
  });
  describe('when object literal contains the path', function () {
    it('should return true when the value of path differs', function () {
      expect(pathNotEq(['a', 'b'], 1, {
        a: {
          b: 2
        }
      })).toBeTruthy();
    });
    it('should return false when the value of path equals', function () {
      expect(pathNotEq(['a', 'b'], 1, {
        a: {
          b: 1
        }
      }));
    });
  });
});