import searchInArray from '../searchInArray';
var searchFor = 'hi';
describe('searchInArrayWith', function () {
  it('should search in array of primitives', function () {
    expect(searchInArray(searchFor, ['1', 2, 'hia'])).toEqual(['hia']);
  });
  it('should search in array of objects and primitives', function () {
    expect(searchInArray(searchFor, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }])).toEqual(['hi', {
      foo: 'hi'
    }]);
  });
  it('should search in array of objects and nested objects', function () {
    expect(searchInArray(/h./, ['hi', {
      foo: 'baahor'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }])).toEqual(['hi', {
      foo: 'baahor'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }]);
  });
  it('should search in array of objects and nested arrays', function () {
    expect(searchInArray(searchFor, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]])).toEqual(['hi', {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]]);
  });
});