import { equals } from 'ramda';
import searchInArrayWith from '../searchInArrayWith';
var searchFn =
/*#__PURE__*/
equals('hi');
describe('searchInArrayWith', function () {
  it('should search in array of primitives', function () {
    expect(searchInArrayWith(searchFn, ['1', 2, 'hi'])).toEqual(['hi']);
  });
  it('should search in array of objects and primitives', function () {
    expect(searchInArrayWith(searchFn, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }])).toEqual(['hi', {
      foo: 'hi'
    }]);
  });
  it('should search in array of objects and nested objects', function () {
    expect(searchInArrayWith(searchFn, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }])).toEqual(['hi', {
      foo: 'hi'
    }, {
      foo: {
        bar: 'hi'
      }
    }]);
  });
  it('should search in array of objects and nested arrays', function () {
    expect(searchInArrayWith(searchFn, ['hi', {
      foo: 'bar'
    }, {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]])).toEqual(['hi', {
      foo: 'hi'
    }, {
      foo: {
        bar: ['cuuus', {
          foo: 'hi'
        }]
      }
    }, ['haha', 'hi'], ['haha', {
      foo: 'hi'
    }]]);
  });
});