import { lt } from 'ramda';
import { compareLength } from './internal/lengthUtils';
/**
 * Returns true if length of array is bigger than first argument
 *
 * @func
 * @category List
 *
 * @example
 *
 *        const lengthBiggerThanZero = R_.ltThanLength(0)
 *        lengthBiggerThanZero([{}])	// true
 *        lengthBiggerThanZero([])	// false
 *
 * @sig Number -> [a] -> Boolean
 */

var ltThanLength =
/*#__PURE__*/
compareLength(lt);
export default ltThanLength;