import { useWith, flip, xprod, of, identity } from 'ramda';
/**
 * Creates pairs from value and list of values.
 * Value is always appended as the last item to the pair.
 *
 * @func
 * @category List
 * @see xPairs
 *
 * @example
 *
 *        R_.xPairsRight(1, [2, 3]) // [[2, 1], [3, 1]]
 *
 * @sig a -> [b] -> [[b, a]]
 */

var xPairsRight =
/*#__PURE__*/
useWith(
/*#__PURE__*/
flip(xprod), [of, identity]);
export default xPairsRight;